﻿<table width = "265px" style="margin-left:20px;">
    <tr>
        <td>
            <span>&nbsp</span>
        </td>
    </tr>

 @*   <tr>
        <td>
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Supplier";
                    edtSettings.AssociatedControlName = "Supplier";
                }
            ).GetHtml()
            <b style=" color:Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().ComboBox(
                settings => {
                    settings.Name = "cbSupplier";
                    settings.Properties.TextField = "SupplierName";
                    settings.Properties.ValueField = "SupplierCode";
                    settings.Properties.ValueType = typeof(string);
                    settings.Properties.Columns.Add("SupplierCode");
                    settings.Properties.Columns.Add("SupplierName");
                    settings.Enabled = (Boolean)ViewData["isNew"];
                }).BindList(ViewData["SupplierData"]).GetHtml()
        </td>
    </tr>*@

@*    <tr>
        <td>
            @Html.DevExpress().Label(
                           edtSettings =>
                           {
                               edtSettings.ControlStyle.CssClass = "label";
                               edtSettings.Text = "Order No";
                               edtSettings.AssociatedControlName = "OrderNo";
                           }
                       ).GetHtml()
            <b style=" color:Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "OrderNo";
                    edtSettings.ControlStyle.CssClass = "editor";
                    edtSettings.ShowModelErrors = true;
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(100);
                }
            ).GetHtml()
        </td>
    </tr>*@
    
    <tr>
        <td>
            @Html.DevExpress().Label(
                           edtSettings =>
                           {
                               edtSettings.ControlStyle.CssClass = "label";
                               edtSettings.Text = "Part No";
                               edtSettings.AssociatedControlName = "PartNo";
                           }
                       ).GetHtml()
            <b style=" color:Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "PartNo";
                    edtSettings.ControlStyle.CssClass = "editor";
                    edtSettings.ShowModelErrors = true;
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(100);
                }
            ).GetHtml()           
        </td>
    </tr>

@*    <tr>
        <td>
            @Html.DevExpress().Label(
                           edtSettings =>
                           {
                               edtSettings.ControlStyle.CssClass = "label";
                               edtSettings.Text = "Part Name";
                               edtSettings.AssociatedControlName = "PartName";
                           }
                       ).GetHtml()
            <b style=" color:Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "PartName";
                    edtSettings.ControlStyle.CssClass = "editor";
                    edtSettings.ShowModelErrors = true;
                    edtSettings.Width = 200;
                }
            ).GetHtml()
        </td>
    </tr>*@
            
 @*   <tr>
        <td>
            @Html.DevExpress().Label(
                           edtSettings =>
                           {
                               edtSettings.ControlStyle.CssClass = "label";
                               edtSettings.Text = "Supp. Plant Code";
                               edtSettings.AssociatedControlName = "SuppPlantCode";
                           }
                       ).GetHtml()
            <b style=" color:Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "SuppPlantCode";
                    edtSettings.ControlStyle.CssClass = "editor";
                    edtSettings.ShowModelErrors = true;
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(100);
                }
            ).GetHtml()
        </td>
    </tr>*@

    <tr>
        <td>
            @Html.DevExpress().Label(
                           edtSettings =>
                           {
                               edtSettings.ControlStyle.CssClass = "label";
                               edtSettings.Text = "Order Quantity";
                               edtSettings.AssociatedControlName = "OrderQty";
                           }
                       ).GetHtml()
            <b style=" color:Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "OrderQty";
                    edtSettings.ControlStyle.CssClass = "editor";
                    edtSettings.ShowModelErrors = true;
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(100);
                }
            ).GetHtml()
        </td>
    </tr>

    <tr>
        <td>
            @Html.DevExpress().Label(
                           edtSettings =>
                           {
                               edtSettings.ControlStyle.CssClass = "label";
                               edtSettings.Text = "PCS / Kanban";
                               edtSettings.AssociatedControlName = "PCSKanban";
                           }
                       ).GetHtml()
            <b style="color:Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "PCSKanban";
                    edtSettings.ControlStyle.CssClass = "editor";
                    edtSettings.ShowModelErrors = true;
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(100);
                }
            ).GetHtml()
        </td>
    </tr>

@*    <tr>
        <td>
            @Html.DevExpress().Label(
                           edtSettings =>
                           {
                               edtSettings.ControlStyle.CssClass = "label";
                               edtSettings.Text = "Receive Plant Code";
                               edtSettings.AssociatedControlName = "ReceivePlanCode";
                           }
                       ).GetHtml()
            <b style=" color:Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "ReceivePlanCode";
                    edtSettings.ControlStyle.CssClass = "editor";
                    edtSettings.ShowModelErrors = true;
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(100);
                }
            ).GetHtml()
        </td>
    </tr>*@

@*    <tr>
        <td>
            @Html.DevExpress().Label(
                           edtSettings =>
                           {
                               edtSettings.ControlStyle.CssClass = "label";
                               edtSettings.Text = "Dock Code";
                               edtSettings.AssociatedControlName = "DockCode";
                           }
                       ).GetHtml()
            <b style=" color:Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "DockCode";
                    edtSettings.ControlStyle.CssClass = "editor";
                    edtSettings.ShowModelErrors = true;
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(60);
                }
            ).GetHtml()
        </td>
    </tr>*@

 @*   <tr>
        <td>
            @Html.DevExpress().Label(
                           edtSettings =>
                           {
                               edtSettings.ControlStyle.CssClass = "label";
                               edtSettings.Text = "Arrival Time";
                               edtSettings.AssociatedControlName = "ArrivalTime";
                           }
                       ).GetHtml()
            <b style=" color:Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "ArrivalTime";
                    edtSettings.ControlStyle.CssClass = "editor";
                    edtSettings.ShowModelErrors = true;
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(80);
                }
            ).GetHtml()
        </td>                           
    </tr>*@

    <tr>
        <td>
            <span>&nbsp</span>
        </td>
    </tr>

    <tr>
        <td width="100%" align="center" colspan="2">

        <table>
                <tr>
                     <td width="50%" align="right">

            @Html.DevExpress().Button(
                            btnSettings =>
                            {
                                btnSettings.Name = "btnUpdate";
                                btnSettings.ControlStyle.CssClass = "button";
                                btnSettings.Text = "Update";
                                //btnSettings.ClientSideEvents.Click = "function(s, e){ grdData.UpdateEdit(); }";
                            }
                        ).GetHtml()
            
                    </td>

                    <td width="50%">
            @Html.DevExpress().Button(
                            btnSettings =>
                            {
                                btnSettings.Name = "btnCancel";
                                btnSettings.ControlStyle.CssClass = "button";
                                btnSettings.Text = "Cancel";
                               // btnSettings.ClientSideEvents.Click = "function(s, e){ grdData.CancelEdit(); }";
                            }
                        ).GetHtml()

                                            </td>
                </tr>
            </table>

        </td>
    </tr>
    
    <tr>
        <td>
            <span>&nbsp</span>
        </td>
    </tr>

</table>